org.bdgenomics.adam.cli

## Class About

- java.lang.Object
- - org.bdgenomics.adam.cli.About

-     public final class About
      extends Object

  About.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `About()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `artifactId()` Return the artifact id.
    `String` | `buildTimestamp()` Return the build timestamp.
    `String` | `commit()` Return the last commit.
    `String` | `hadoopVersion()` Return the Hadoop version.
    `boolean` | `isSnapshot()` Return true if the version is a snapshot.
    `String` | `scalaVersion()` Return the Scala version.
    `String` | `version()` Return the version.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### About

          public About()

  - ### Method Detail

    - #### artifactId

          public String artifactId()

      Return the artifact id.
      Returns:
        the artifact id

    - #### buildTimestamp

          public String buildTimestamp()

      Return the build timestamp.
      Returns:
        the build timestamp

    - #### commit

          public String commit()

      Return the last commit.
      Returns:
        the last commit

    - #### hadoopVersion

          public String hadoopVersion()

      Return the Hadoop version.
      Returns:
        the Hadoop version

    - #### scalaVersion

          public String scalaVersion()

      Return the Scala version.
      Returns:
        the Scala version

    - #### version

          public String version()

      Return the version.
      Returns:
        the version

    - #### isSnapshot

          public boolean isSnapshot()

      Return true if the version is a snapshot.
      Returns:
        true if the version is a snapshot

Copyright © 2016. All rights reserved.